/*
 * Created on May 16, 2005
 */
package proxyconfig.mynames;

import javax.swing.JTable;
import javax.swing.table.TableCellRenderer;

/**
 * @author danjo
 */
public class MyNameTable extends JTable {

	private MyNameTableModel tableModel;
	
	public MyNameTable(MyNameTableModel tableModel) {
		super(tableModel);
		
		this.tableModel = tableModel;
		tableModel.recordTable = this;
		
		setBackground (proxyconfig.ProxyConfig.WHITE_COLOR);
	}
	
	
	public TableCellRenderer getCellRenderer(int row, int col) {
	    
	    MyName rec = (MyName) tableModel.getRecord(row);
	    if (rec != null && rec.active) {
	        return new MyNameTableRenderer(true);
	    } else {
	        return new MyNameTableRenderer(false);
	    }
	}
	
}
