/*
 * Created on May 18, 2005
 */
package proxyconfig.ocd;

import javax.swing.JTable;
import javax.swing.table.TableCellRenderer;

/**
 * @author danjo
 */
public class OCDTable extends JTable {

	private OCDTableModel tableModel;
	
	public OCDTable(OCDTableModel tableModel) {
		super(tableModel);
		
		this.tableModel = tableModel;
		tableModel.recordTable = this;
		setBackground (proxyconfig.ProxyConfig.WHITE_COLOR);
		
	}
	
	
	public TableCellRenderer getCellRenderer(int row, int col) {
	    
	    OCD rec = (OCD) tableModel.getRecord(row);
	    
	    if (rec != null && rec.isActive) {
	        return new OCDTableRenderer(true);
	    } else {
	        return new OCDTableRenderer(false);
	    }
	}
	
}
