/*
 * Created on Jan 24, 2005
 */
package proxyconfig.i3;

import javax.swing.*;

import java.awt.event.*;
import java.awt.*;

/**
 * @author danjo
 */
public class I3WizardFinishPanel extends JPanel {

    I3OCD overlay;
    
    I3WizardFinishPanel (I3OCD overlay) {
        this.overlay = overlay;
        
        //setBorder(BorderFactory.createLineBorder(Color.BLACK));
        setBackground(proxyconfig.ProxyConfig.BACKGROUND_COLOR);

        setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));

        add(Box.createVerticalGlue());

        JPanel tmpPanel;
        
        tmpPanel = new JPanel();
        tmpPanel.setBackground(proxyconfig.ProxyConfig.BACKGROUND_COLOR);
        tmpPanel.setLayout(new BoxLayout(tmpPanel, BoxLayout.X_AXIS));
        add(tmpPanel);

        JEditorPane headingLB = new JEditorPane();
        tmpPanel.add(headingLB);
        headingLB.setContentType("text/html");
        headingLB.setBackground(proxyconfig.ProxyConfig.BACKGROUND_COLOR);
        headingLB.setText("<font face=\"arial\"><h2 color=\"blue\">Congratulations</h2>");
        headingLB.setMaximumSize(new Dimension(400,0));
        
        tmpPanel.add(Box.createHorizontalGlue());

        add(Box.createRigidArea(new Dimension(10,10)));
        
        tmpPanel = new JPanel();
        tmpPanel.setBackground(proxyconfig.ProxyConfig.BACKGROUND_COLOR);
        tmpPanel.setLayout(new BoxLayout(tmpPanel, BoxLayout.X_AXIS));
        add(tmpPanel);
        
        JEditorPane msgLB = new JEditorPane("text/html",
                "<font face=\"arial\">The i3 overlay with id <font color=\"blue\">" + overlay.id + "</font> is now configured." +
                "<br><br>Press <b>FINISH</b> to return to the generic proxy configuration main menu."
                );
        msgLB.setEditable(false);
        tmpPanel.add(msgLB);
        tmpPanel.add(Box.createHorizontalGlue());
        
        add(Box.createVerticalGlue());
    }

}
